#include <iostream>

using namespace std;

int main()
{
    int a, b; cin >> a >> b;
    int x, y; cin >> x >> y;

    bool prvi = false, drugi = false;

    if(a > x)
        prvi = true;
    if(b > y)
        drugi = true;

    if(prvi && drugi)
        cout << "?";
    else if(prvi)
        cout << "prvi";
    else if(drugi)
        cout << "drugi";
    else
        cout << "nijedan";

    return 0;
}